Bug 517544 - Memory leak in krb5-auth-dialog
Summary: Memory leak in krb5-auth-dialog
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: krb5-auth-dialog
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-14 14:42 UTC by Andrew Rechenberg
Modified: 2011-06-27 14:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 14:20:30 UTC


Attachments (Terms of Use)
Information from /proc for the krb5-auth-dialog PID (185.49 KB, text/plain)
2009-08-14 14:42 UTC, Andrew Rechenberg
no flags Details

Description Andrew Rechenberg 2009-08-14 14:42:23 UTC
Created attachment 357466 [details]
Information from /proc for the krb5-auth-dialog PID

Description of problem:

It seems that there is a memory leak in krb5-auth-dialog on F11 x86_64.  After only 2 days it has 422MB resident and 2193MB virtual memory used.

Version-Release number of selected component (if applicable):

krb5-auth-dialog-0.10-1.fc11.x86_64


How reproducible:

Always


Steps to Reproduce:
1. Install krb5-auth-dialog
2. Setup krb5.conf and pam_krb5
3. Authenticate and just let it run


Additional info:



I've attached a file with some info from /proc.  Let me know if anything else is required.

Thanks,
Andy.

Comment 1 Andrew Rechenberg 2009-08-14 14:48:13 UTC
free information before and after quitting krb5-auth-dialog:

**************
Before
**************

[arechenberg@cinshrfluxws01 /proc/23752]$ free
             total       used       free     shared    buffers     cached
Mem:       3889288    3866928      22360          0      20568    2351576
-/+ buffers/cache:    1494784    2394504
Swap:      5947384    1798056    4149328


**************
After
**************

[arechenberg@cinshrfluxws01 /proc/23752]$ free
             total       used       free     shared    buffers     cached
Mem:       3889288    3313616     575672          0      20812    2351388
-/+ buffers/cache:     941416    2947872
Swap:      5947384     364628    5582756
[1]+  Done                    krb5-auth-dialog  (wd: ~)

Comment 2 oll 2009-12-01 11:11:07 UTC
Same for me  with F11 i386.

Comment 3 Rob Riggs 2010-03-18 22:53:08 UTC
I just hit 5.3GB RSS after an uptime of 41 days.  Ouch.

This is on Fedora 11, x86_64.

Comment 4 Rob Riggs 2010-03-29 22:59:48 UTC
  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
 3513 XXX       20   0 2141m 1.8g 7172 S  0.0 22.6  28:26.87 krb5-auth-dialo

Uptime 6 days.

Comment 5 Bug Zapper 2010-04-28 09:46:07 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Rob Riggs 2010-05-27 22:09:42 UTC
Please bump to Fedora 13.  Problem still exists here.

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND            
 3415 XXX       20   0  932m 424m 9976 S  0.0  5.3   8:37.50 krb5-auth-dialo    

Uptime is 1 day.

Comment 7 Bug Zapper 2011-06-02 17:49:58 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2011-06-27 14:20:30 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.